org.codehaus.plexus.component.factory.java

## Class JavaComponentFactory

- java.lang.Object
- - org.codehaus.plexus.component.factory.AbstractComponentFactory
  - - org.codehaus.plexus.component.factory.java.JavaComponentFactory

All Implemented Interfaces:
  ComponentFactory

    public class JavaComponentFactory
    extends AbstractComponentFactory

Component Factory for components written in Java Language which have default no parameter constructor

Version:
  $Id: JavaComponentFactory.java 7847 2008-11-18 14:17:16Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`JavaComponentFactory()`

### Method Summary

Methods
`java.lang.String` `getId()`
`java.lang.Object` `newInstance(ComponentDescriptor componentDescriptor, org.codehaus.plexus.classworlds.realm.ClassRealm classRealm, PlexusContainer container)`

### Methods inherited from class org.codehaus.plexus.component.factory.AbstractComponentFactory

`newInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaComponentFactory

    public JavaComponentFactory()

### Method Detail

#### getId

    public java.lang.String getId()

#### newInstance

    public java.lang.Object newInstance(ComponentDescriptor componentDescriptor,
                               org.codehaus.plexus.classworlds.realm.ClassRealm classRealm,
                               PlexusContainer container)
                                 throws ComponentInstantiationException

Specified by:
  `newInstance` in interface `ComponentFactory`
Overrides:
  `newInstance` in class `AbstractComponentFactory`
Throws:
  `ComponentInstantiationException`